#!/usr/bin/env ruby

require 'browshot'

browshot = Browshot.new('my_api_key')

screenshot = browshot.screenshot_create('http://mobilio.net/', { 'instance_id' => 12 })
sleep(60)

if (screenshot['status'] == 'error')
  puts "Screenshot failed: #{screenshot['error']}\n"
  exit(0)
end

# Share this screenshot
screenshot = browshot.screenshot_info(screenshot['id'])
if (screenshot['status'] == 'finished')
  # share a screenshot (must be in finished state)
  share = browshot.screenshot_share(screenshot['id'], { 'note' => 'Browshot is great!' })
  if (share['status'] == 'ok')
    puts "Screenshot shared at #{share['url']}\n"
  else
    puts "Sharing failed: #{share['error']}\n"
  end
end